@use "../../globals.scss";

body {
  position: relative;
  margin: 0;
  color: var(--text-primary-color);
  // margin-bottom: 3em;

  height: 100vh;

  display: grid;
  grid-template-areas: "header" "links" "more";
  grid-template-rows: max-content max-content 1fr;
}

body > .header {
  grid-area: header;

  @include globals.page-header($is_root: true);
  & > .other > .source {
    color: inherit;
    padding: 0.1em 1em;
    text-align: center;
    align-self: center;
    text-decoration: none;
  }
}

body > .links {
  display: flex;
  font-size: 120%;

  padding: 1em;
  gap: 0.2em;
  & > a {
    width: 12em;
    display: grid;
    grid-template-areas: "title" "description";
    grid-template-rows: max-content 1fr;

    text-decoration: none;
    color: inherit;
    border: 1px solid var(--border-secondary-color);
    border-radius: var(--border-radius);
    @include globals.button-like;
    & > .title {
      font-size: 130%;
      text-align: center;
      padding: 0.2em 0;
      position: relative;
      &::after{
        content: "";
        border-bottom: 1px solid var(--border-tertiary-color);
        position: absolute;
        bottom: 0;
        width: 100% - 2 * 3%;
        left: 3%;
      }
    }
    & > .description {
      font-size: 80%;
      color: var(--text-secondary-color);
      padding: 0.5em 1em;
    }
  }
}

body > .more {
  font-size: 110%;
  margin: 0 1em;
  & > section {
    padding: 0.5em;
    & > .title {
      font-size: 140%;
      font-weight: 600;
    }
    & > :not(.title) {
      color: var(--text-secondary-color);
      text-align: justify;

      a {
        color: inherit;
      }
      code {
        font-size: 1.2em;
      }
      pre {
        margin: 0;
        white-space: pre-line;
        text-align: center;
      }
    }
    &.about {
    }
    &.components > :not(.title) > .list{
      margin-top: 0.5em;
      & > div {
        & > :first-child {
          font-size: 120%;
          font-weight: 600;
        }
        & > :not(:first-child) {
          margin-bottom: 0.5em;
          // margin-top: 0.5em;
          ul {
            margin: 0.2em 0;
          }
        }
      }
    }
  }
}
